
package com.tmerclub.cloud.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品评论统计(按星数）
 *
 * @Author lth
 * @Date 2021/6/1 9:41
 */
public class SpuCommStatisticsStarVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "五星")
    private Integer fiveStarsNumber;

    @Schema(description = "四星")
    private Integer fourStarsNumber;

    @Schema(description = "三星")
    private Integer threeStarsNumber;

    @Schema(description = "二星")
    private Integer twoStarsNumber;

    @Schema(description = "一星")
    private Integer oneStarsNumber;

    public Integer getFiveStarsNumber() {
        return fiveStarsNumber;
    }

    public void setFiveStarsNumber(Integer fiveStarsNumber) {
        this.fiveStarsNumber = fiveStarsNumber;
    }

    public Integer getFourStarsNumber() {
        return fourStarsNumber;
    }

    public void setFourStarsNumber(Integer fourStarsNumber) {
        this.fourStarsNumber = fourStarsNumber;
    }

    public Integer getThreeStarsNumber() {
        return threeStarsNumber;
    }

    public void setThreeStarsNumber(Integer threeStarsNumber) {
        this.threeStarsNumber = threeStarsNumber;
    }

    public Integer getTwoStarsNumber() {
        return twoStarsNumber;
    }

    public void setTwoStarsNumber(Integer twoStarsNumber) {
        this.twoStarsNumber = twoStarsNumber;
    }

    public Integer getOneStarsNumber() {
        return oneStarsNumber;
    }

    public void setOneStarsNumber(Integer oneStarsNumber) {
        this.oneStarsNumber = oneStarsNumber;
    }

    @Override
    public String toString() {
        return "SpuCommStatisticsStarVO{" +
                "fiveStarsNumber=" + fiveStarsNumber +
                ", fourStarsNumber=" + fourStarsNumber +
                ", threeStarsNumber=" + threeStarsNumber +
                ", twoStarsNumber=" + twoStarsNumber +
                ", oneStarsNumber=" + oneStarsNumber +
                '}';
    }
}
